<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">

    <body>

        <ui:composition template="../WEB-INF/template/templateCadastro.xhtml">

            <ui:define name="conteudo">
                 <h:form id="form">
 <p:messages id="messages" />
          <p:panelGrid columns="2">
                <p:outputLabel for="id" value="ID:" />
                <p:spinner id="id" value="#{UsuarioMB.usuario.id}" />
                
                <p:outputLabel for="nome" value="Nome:" />
                <p:inputText id="nome" value="#{UsuarioMB.usuario.nome}" />
  
                 
                <p:outputLabel for="senha" value="Senha:" />
                <p:inputText id="senha" value="#{UsuarioMB.usuario.senha}" />
  
                 
                <p:outputLabel for="descricao" value="Descrição:" />
                <p:inputTextarea id="descricao"
                     value="#{UsuarioMB.usuario.descricao}" />
  
                <p:commandButton  value="Cadastrar" icon="ui-icon-star" 
                 action="#{UsuarioMB.cadastraUsuario}" update="messages">
                </p:commandButton>
  
          </p:panelGrid>
            <!-- DADOS DE LOGIN -->
            <fieldset>
                <legend>Dados de login</legend>
                <table cellspacing="10">
                    <tr>
                        <td>
                            <label for="email">E-mail: </label>
                        </td>
                        <td align="left">
                            <input type="text" name="email"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label for="imagem">Imagem de perfil:</label>
                        </td>
                        <td>
                            <input type="file" name="imagem" />

                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label for="login">Login de usuário: </label>
                        </td>
                        <td align="left">
                            <input type="text" name="login"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label for="pass">Senha: </label>
                        </td>
                        <td align="left">
                            <input type="password" name="pass"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label for="passconfirm">Confirme a senha: </label>
                        </td>
                        <td align="left">
                            <input type="password" name="passconfirm"/>
                        </td>
                    </tr>
                </table>
            </fieldset>
            <br />
            <input type="submit"/>
            <input type="reset" value="Limpar"/>
                    
                    
                    
                </h:form>
            </ui:define>

        </ui:composition>

    </body>
</html>
